Trigger Sales Order Workflow Event
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/workflow-events/{workflowEventId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/workflow-events/{workflowEventId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/workflow-events/{workflowEventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Sales Order
Trigger Sales Order Workflow Event
Triggers a specific workflow event for a given sales order.
POST
/
v2
/
sales-orders
/
{salesOrderId}
/
workflow-events
/
{workflowEventId}
Trigger Sales Order Workflow Event
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the event that should be started. 1 = Created, 2 = Deleted, 3 = Changed, 4 = Delievered, 5 = Canceled, 6 = Joined, 7 = Splittet, 9 = WithOutShipping, 10 = CompletePaid
Available options:
1, 2, 3, 4, 5, 6, 7, 9, 10 The ID of the sales order for which the workflow event should be started.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Was this page helpful?